> For the complete documentation index, see [llms.txt](https://developers.smartpm.com/llms.txt)

# Get Trackable Activity in Model

> GET /public/v1/projects/{projectId}/models/{modelId}/activities



## Servers
- SmartPM Production Environment: https://live.smartpmtech.com (SmartPM Production Environment)


## Authentication methods
- Api key


## Parameters
### Headers

- **X-COMPANY-ID** (string)
  The company's unique ID


### Path parameters

- **projectId** (integer(int64))

- **modelId** (integer(int64))




## Responses
### 200
OK

#### Body: */* (array[object])
- **id** (integer(int64))

- **activityId** (string)

- **activityType** (string)

- **activityStatus** (string)

- **deleted** (boolean)

- **firstSeen** (string(date-time))

- **lastSeen** (string(date-time))

- **name** (string)

- **contractualCompletionDate** (string(date-time))

- **scheduleIds** (array[integer(int64)])

- **status** (string)



[Powered by Bump.sh](https://bump.sh)
